Skip to main content
GET
Liquidation Events

Path Parameters

tradingPairId
string
default:893d2add-2f36-4ee7-b660-893d2add2f36
required

Query Parameters

startTime
integer<int64>

Start time as Unix timestamp (milliseconds)

Required range: 0 <= x <= 4102444800000
endTime
integer<int64>

End time as Unix timestamp (milliseconds)

Required range: 0 <= x <= 4102444800000
pageSize
integer<uint32>
default:50

Events per page (max 1000)

Required range: 1 <= x <= 1000
pageToken
string

Opaque keyset cursor from the previous response. The token is bound to this pair and the requested time filters.

Response

OK

tradingPairId
string<uuid> | null

Trading pair UUID

events
object[] | null

Events in reverse chronological order (newest first). Each row contains only public event fields.

pageSize
integer<uint32> | null

Number of events requested for this page

Example:

50

nextPageToken
string | null

Opaque cursor for the next page; empty when the page is the end of the ordered result